Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: (opgelost) kde programma in gnome  (gelezen 1825 keer)

Offline maartendr

  • Lid
  • Steunpunt: Nee
(opgelost) kde programma in gnome
« Gepost op: 2009/08/16, 16:56:30 »
Probleempje: Ik gebruik ubuntu 9.04, maar ik kan sinds kort geen kde programma's (zoals k3b of kdenlive) installeren.

Synaptic zegt altijd dat er paketten missen, maar als ik die dan aanduid, vertelt hij dat er weer andere paketten niet geinstalleerd worden die benodigd zijn... Waardoor ik dus niets van kde kan installeren...


Bijv: Ik wil Kdenlive installeren, maar hij vertelt me dat er een paar paketten zijn die eerst geinstalleerd moeten worden waaronder "kdebase-runtime" (en nog drie paketten)

Als ik dan eerst die "kdebase-runtime" probeer aan te duiden, zegt hij weer dat pakket "kdelibs5" moet geinstalleerd worden....


Iemand een idee?

Edit: heb het in de terminal eens geprobeerd en ik krijg deze uitkomst:




maarten@maarten-laptop:~$ sudo apt-get install kdenlive
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Sommige pakketten konden niet geïnstalleerd worden. Dit kan betekenen dat u
een onmogelijke situatie gevraagd hebt of dat u de 'unstable'-distributie
gebruikt en sommige benodigde pakketten nog vastzitten in 'incoming'.
De volgende informatie helpt u mogelijk verder:

De volgende pakketten hebben niet-voldane vereisten:
  kdenlive: Vereisten: kdebase-runtime (>= 4:4.2.1) maar het zal niet geïnstalleerd worden
            Vereisten: kdelibs5 (>= 4:4.2.1) maar het zal niet geïnstalleerd worden
            Vereisten: libqt4-svg (>= 4.5.0~+rc1) maar het zal niet geïnstalleerd worden
E: Niet-werkende pakketten:
maarten@maarten-laptop:~$
« Laatst bewerkt op: 2009/08/16, 20:41:10 door maartendr »

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
Re: kde programma in gnome
« Reactie #1 Gepost op: 2009/08/16, 17:34:22 »
En als je alles in één keer meegeeft?

sudo apt-get install kdenlive  kdelibs5 libqt4-svg kdebase-runtime
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)

Offline maartendr

  • Lid
  • Steunpunt: Nee
Re: kde programma in gnome
« Reactie #2 Gepost op: 2009/08/16, 17:46:54 »
Dan krijg ik dit:

maarten@maarten-laptop:~$ sudo apt-get install kdenlive  kdelibs5 libqt4-svg kdebase-runtime
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Sommige pakketten konden niet geïnstalleerd worden. Dit kan betekenen dat u
een onmogelijke situatie gevraagd hebt of dat u de 'unstable'-distributie
gebruikt en sommige benodigde pakketten nog vastzitten in 'incoming'.
De volgende informatie helpt u mogelijk verder:

De volgende pakketten hebben niet-voldane vereisten:
  libqt4-svg: Vereisten: libqtcore4 (= 4.5.0-0ubuntu4.1) maar 4.5.1-1~ppa1~jaunty1 zal geïnstalleerd worden
              Vereisten: libqtgui4 (= 4.5.0-0ubuntu4.1) maar 4.5.1-1~ppa1~jaunty1 zal geïnstalleerd worden
E: Niet-werkende pakketten:
maarten@maarten-laptop:~$ sudo apt-get install kdenlive  kdelibs5 libqt4-svg kdebase-runtime libqtcore4 libqtgui4
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
libqtcore4 is reeds de nieuwste versie.
libqtcore4 is ingesteld voor handmatige installatie.
libqtgui4 is reeds de nieuwste versie.
libqtgui4 is ingesteld voor handmatige installatie.
Sommige pakketten konden niet geïnstalleerd worden. Dit kan betekenen dat u
een onmogelijke situatie gevraagd hebt of dat u de 'unstable'-distributie
gebruikt en sommige benodigde pakketten nog vastzitten in 'incoming'.
De volgende informatie helpt u mogelijk verder:

De volgende pakketten hebben niet-voldane vereisten:
  libqt4-svg: Vereisten: libqtcore4 (= 4.5.0-0ubuntu4.1) maar 4.5.1-1~ppa1~jaunty1 zal geïnstalleerd worden
              Vereisten:  libqtgui4 (= 4.5.0-0ubuntu4.1) maar 4.5.1-1~ppa1~jaunty1 zal geïnstalleerd worden
E: Niet-werkende pakketten:
maarten@maarten-laptop:~$



Heb de ontbrekende pakketten nog proberen bij te installeren, maar het lukt blijkbaar niet...

Ik heb blijkbaar een (te) nieuwe versie van libqtcore4 en libqtgui4???? Of zie ik dat verkeerd?

Offline Cumulus007

  • Lid
  • Steunpunt: Nee
Re: kde programma in gnome
« Reactie #3 Gepost op: 2009/08/16, 17:49:39 »
Maak je gebruik van een PPA met daarin KDE-software?

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
Re: kde programma in gnome
« Reactie #4 Gepost op: 2009/08/16, 17:50:13 »
Ja, je hebt blijkbaar een extra repository toegevoegd waar een aantal packages nieuwer zijn. En het programma dat je wil installeren vindt een aantal van die nieuwere packages, maar ook een aantal andere oudere packages, die blijkbaar niet compatibel zijn met elkaar..
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)

Offline maartendr

  • Lid
  • Steunpunt: Nee
Re: kde programma in gnome
« Reactie #5 Gepost op: 2009/08/16, 17:57:23 »
Dat kan, zal even mijn lijstje even meegeven.

Als ik kijk onder synaptic, om het nieuwere pakket van libqt4-svg te verwijderen en daarna dit pakket uit de ubuntu repository te installeren, wil hij verschillende programma's verwijderen. Is er een andere mogelijkheid om dat pakket te vervangen door het oudere pakket?

Hier mijn repository's: http://foto-uploaden.nl/zie/hty9aso

edit: als ik het pakket forceer om een oudere versie te installeren en te gebruiken, wil het ook verschillende programm's verwijderen, waaronder: Google Earth, Virtualbox, VLC.

Als ik dit toch doe, en die programma's daarna terug installeer, ben ik dan alles kwijt (vooral voor virtualbox is dat belangrijk: mijn virtuele os'n wil ik niet kwijt...)
« Laatst bewerkt op: 2009/08/16, 18:02:40 door maartendr »

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: kde programma in gnome
« Reactie #6 Gepost op: 2009/08/16, 18:25:03 »
Er zit een spatie teveel in je commando. Weet nu niet of dat uitmaakt maar ik dacht het wel. (Zie de rode puntjes die de spaties voorsteld)

sudo apt-get install kdenlive..kdelibs5 libqt4-svg kdebase-runtime libqtcore4 libqtgui4

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: kde programma in gnome
« Reactie #7 Gepost op: 2009/08/16, 20:09:07 »
Probeer eens om eerst handmatig libqtcore4 en libqtgui4 te installeren, en dan kdenlive en kdebease-runtime erachteraan.

Offline maartendr

  • Lid
  • Steunpunt: Nee
Re: kde programma in gnome
« Reactie #8 Gepost op: 2009/08/16, 20:21:28 »
antwoord @ Vistaus: Die pakketten zijn reeds geïnstalleerd, maar een te nieuwe versie.
Antwoord @ heir4c: Dat blijft hetzelfde blijkbaar.

Hier de "nieuwe" uitkomst:

maarten@maarten-laptop:~$ sudo apt-get install kdenlive kdelibs5 libqt4-svg kdebase-runtime libqtcore4 libqtgui4
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
libqtcore4 is reeds de nieuwste versie.
libqtgui4 is reeds de nieuwste versie.
libqtgui4 is ingesteld voor handmatige installatie.
Sommige pakketten konden niet geïnstalleerd worden. Dit kan betekenen dat u
een onmogelijke situatie gevraagd hebt of dat u de 'unstable'-distributie
gebruikt en sommige benodigde pakketten nog vastzitten in 'incoming'.
De volgende informatie helpt u mogelijk verder:

De volgende pakketten hebben niet-voldane vereisten:
  libqt4-svg: Vereisten: libqtcore4 (= 4.5.0-0ubuntu4.1) maar 4.5.1-1~ppa1~jaunty1 zal geïnstalleerd worden
              Vereisten: libqtgui4 (= 4.5.0-0ubuntu4.1) maar 4.5.1-1~ppa1~jaunty1 zal geïnstalleerd worden
E: Niet-werkende pakketten:
maarten@maarten-laptop:~$

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
Re: kde programma in gnome
« Reactie #9 Gepost op: 2009/08/16, 20:34:28 »
Er zit een spatie teveel in je commando. Weet nu niet of dat uitmaakt maar ik dacht het wel. (Zie de rode puntjes die de spaties voorsteld)

sudo apt-get install kdenlive..kdelibs5 libqt4-svg kdebase-runtime libqtcore4 libqtgui4
ter informatie: dat maakt niets uit hoor :)
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)

Offline maartendr

  • Lid
  • Steunpunt: Nee
Re: kde programma in gnome
« Reactie #10 Gepost op: 2009/08/16, 20:36:38 »
opgelost door de twee pakketten te verwijderen. had in een tekstbestandje gezet welke programma's mee verwijdert zouden worden. die even intypen in synaptic en voila...

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: kde programma in gnome
« Reactie #11 Gepost op: 2009/08/16, 20:37:19 »
Mooi zo :)

Kun je nog wel even een [Opgelost] in je topictitel zetten? :)